/*=========================================MAIN=========================================*/
.header {
    position: relative;
}

.header__inner {
    display: flex;
    justify-content: space-between;
}
/*======================================================================================*/


/*=========================================MENU=========================================*/
.overlay-menu{
    position: fixed;
    z-index: 40;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(4px);
    height: 100vh;
    width: 100%;
    display: none;
    font-family: 'Roboto';
}

.overlay-menu.opened{
    display: block;
}

.header__menu{
    background-color: $form;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 100px 60px;
    z-index: 30;
}

.menu{
    position: relative;

    &__item{
        text-align: center;
        padding: 10px 0;

        &-link{
            color: #fff;
            font-size: 24px;
            line-height: 28px;

            &:hover{
                color: #d6d6d6;
            }
        }

        button{
            margin: 0 auto;
            margin-top: 40px;
        }
    }
}

.close{
    background-color: transparent;
    color: #fff;
    position: absolute;
    top: 15px;
    right: 15px;

    svg{
        height: 23px;
        width: 23px;
    }
}

/*======================================================================================*/


/*========================================CONTENT=======================================*/
.header__logo {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 45px;
    display: inline-block;
    z-index: 10;

    @media(max-width: 1440px) {
        max-width: 250px;
    }

    @media(max-width: 1160px) {
        max-width: 200px;
    }

    @media(max-width: 800px) {
        max-width: 120px;
        margin-top: 30px;
    }

    &-celebrate {
        max-width: 370px;

        @media(max-width: 1440px) {
            max-width: 270px;
        }

        @media(max-width: 800px) {
            max-width: 150px;
        }
        
    }

    &-bg {
        max-width: 570px;
        position: relative;

        @media(max-width: 1440px) {
            max-width: 440px;
        }

        @media(max-width: 1160px) {
            max-width: 300px;
        }

        
        @media(max-width: 800px) {
            max-width: 250px;
        }
    }

    &-cake {
        position: absolute;
        top: 20px;
        left: 100px;

        @media(max-width: 1440px) {
            max-width: 200px;
        }

        @media(max-width: 1160px) {
            max-width: 150px;
            top: 10px;
            left: 50px;
        }

        @media(max-width: 800px) {
          display: none;
        }
    }
}
/*======================================================================================*/